| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csYRotMatrix3 Class Reference
[Geometry utilities]

An instance of csMatrix3 that is initialized as a rotation about Y. More...

`#include <csgeom/matrix3.h>`

Inheritance diagram for csYRotMatrix3:

[legend]
List of all members.

## Public Member Functions
| csYRotMatrix3 (float angle)
| Return a rotation matrix around the Y axis.

## Detailed Description

An instance of csMatrix3 that is initialized as a rotation about Y.

Definition at line 221 of file matrix3.h.

## Constructor & Destructor Documentation

csYRotMatrix3::csYRotMatrix3 | ( | float | angle | ) |

Return a rotation matrix around the Y axis.

'angle' is given in radians. Looking along the Y axis with X pointing to the right and Z pointing up a rotation of PI/2 will rotate 90 degrees in anti-clockwise direction (i.e. 1,0,0 -> 0,0,1).

The documentation for this class was generated from the following file:

- csgeom/matrix3.h